Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596125 - Review Request: maven-skins - Maven Skins
Review Request: maven-skins - Maven Skins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 07:22 EDT by Alexander Kurtakov
Modified: 2010-05-28 03:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 03:46:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-05-26 07:22:42 EDT
Spec URL: http://akurtakov.fedorapeople.org/maven-skins.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-skins-5-1.fc13.src.rpm
Description: Skins for the maven site generator.
Comment 1 Stanislav Ochotnicky 2010-05-26 08:17:19 EDT
I can take this.
Comment 2 Stanislav Ochotnicky 2010-05-26 09:19:17 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
maven-skins.src: W: invalid-url Source0: maven-skins-5.tar.xz
maven-skins.noarch: W: no-documentation
maven-skins.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-skins
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

It might be nice to actually describe why it's needed to use
repository. I assume it's because it's not packaged separately from maven. That is also why there is no separate documentation. Am I correct?

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK(koji): The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.


Other:
you have: 
> install -pm 644 maven-application-skin/pom.xml \
>    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-application-skin.pom

and then
> %add_to_maven_depmap org.apache.maven.skins maven-application-skin %{version} JPP/maven-skins maven-application-skin

Is this going to work? You install for example
/usr/share/maven2/poms/JPP.maven-skins-maven-application-skin.pom
and then tell maven that it's JPP/maven-skins groupID and maven-application-skin artifactId. Shouldn't last argument to add_to_maven_depmap be: %{name}-maven-application-skin ? Or alternatively change install and leave add_to_maven_depmap be?

So please just explain this thing and why you used SVN and I can approve this package, because otherwise it's OK.
Comment 3 Alexander Kurtakov 2010-05-26 09:41:32 EDT
(In reply to comment #2)
> OK: rpmlint must be run on every package. The output should be posted in the
> review.
> maven-skins.src: W: invalid-url Source0: maven-skins-5.tar.xz
> maven-skins.noarch: W: no-documentation
> maven-skins.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-skins
> 2 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> It might be nice to actually describe why it's needed to use
> repository. I assume it's because it's not packaged separately from maven. That
> is also why there is no separate documentation. Am I correct?
Maven projects rarely have any documentation suitable for inclusion in RPM as a %doc. Most projects are generating their documentation from  a intermediate representation. See http://maven.apache.org/doxia/references/index.html for details.
Sources are fetched from svn because maven projects are not producing source tarballs.

> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.  .
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license. 
> OK: The spec file must be written in American English. 
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> OK(koji): The package MUST successfully compile and build into binary rpms on
> at least one primary architecture. 
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line. 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content. 
> OK: Packages must not own files or directories already owned by other packages.
> The rule of thumb here is that the first package to be installed should own the
> files or directories that other packages may rely upon. This means, for
> example, that no package in Fedora should ever share ownership with any of the
> files or directories owned by the filesystem or man package. If you feel that
> you have a good reason to own a file or directory that another package owns,
> then please present that at package review time. 
> OK: All filenames in rpm packages must be valid UTF-8.
> 
> 
> Other:
> you have: 
> > install -pm 644 maven-application-skin/pom.xml \
> >    %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-application-skin.pom
> 
> and then
> > %add_to_maven_depmap org.apache.maven.skins maven-application-skin %{version} JPP/maven-skins maven-application-skin
> 
> Is this going to work? You install for example
> /usr/share/maven2/poms/JPP.maven-skins-maven-application-skin.pom
> and then tell maven that it's JPP/maven-skins groupID and
> maven-application-skin artifactId. Shouldn't last argument to
> add_to_maven_depmap be: %{name}-maven-application-skin ? Or alternatively
> change install and leave add_to_maven_depmap be?
Yes this is working perfectly well. The JPP.(dot) notation tells maven to look for a subdirectory and so is %add_to_maven_depmap
e.g. 
%add_to_maven_depmap org.apache.maven.skins maven-application-skin %{version} JPP/maven-skins maven-application-skin will make it look for /usr/share/java/maven-skins/maven-application-skin.jar 
while what you suggested 
%add_to_maven_depmap org.apache.maven.skins maven-application-skin %{version} JPP/maven-skins %{name}-maven-application-skin will make it look for 
/usr/share/java/maven-skins/maven-skins-maven-application-skin.jar 

> 
> So please just explain this thing and why you used SVN and I can approve this
> package, because otherwise it's OK.    


P.S. Wherever I've written maven projects I ment projects that are part of maven.apache.org not every project that is using maven as a build system.
Comment 4 Stanislav Ochotnicky 2010-05-26 09:45:53 EDT
(lightbulb over my head). Everything is clear now. Thanks for explaining. 

This package is APPROVED.
Comment 5 Alexander Kurtakov 2010-05-26 09:48:44 EDT
New Package CVS Request
=======================
Package Name: maven-skins
Short Description: Maven Skins
Owners: akurtakov
Branches: 
InitialCC:
Comment 6 Dennis Gilmore 2010-05-27 18:50:31 EDT
CVS Done
Comment 7 Alexander Kurtakov 2010-05-28 03:46:30 EDT
Build in koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2214928

Note You need to log in before you can comment on or make changes to this bug.